
Redmine - Defect #17664

Project-specific custom fields should also be searchable when showing all issues - if the user only

has this project assigned

2014-08-12 13:50 - Kevin Palm

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.4.4

Description

Currently the user cannot search on a searchable custom field in the complete issue list ([redmineUrl]/issues).

Generally speaking, this is normal, since the mentionned custom field is project-specific and is only displayed if listing issues of the

project ([redmineURL]/projects/[project]/issues)

But if the project of this field is the only project a user can access, than the project-specific fields should also be searchable...

Currently, in this case, it is difficult for the user to understand when he can and when he can't search on the custom-field...

Related issues:

Related to Redmine - Defect #22498: "View all issues" page should allow to fi... Closed

History

#1 - 2014-09-07 17:49 - Toshi MARUYAMA

- Category changed from Issues to Custom fields

#2 - 2016-05-13 04:08 - Toshi MARUYAMA

- Related to Defect #22498: "View all issues" page should allow to filter by all custom fields added

#3 - 2016-07-16 21:15 - Sebastian Paluch

+1
